<?php

namespace Drupal\Tests\drowl_paragraphs_bs\Functional;

use Drupal\Tests\system\Functional\Module\GenericModuleTestBase;

/**
 * Generic module tests for drowl_paragraphs_bs.
 *
 * @group drowl_paragraphs_bs
 */
class GenericDrowlParagraphsBsTest extends GenericModuleTestBase {

  /**
   * {@inheritDoc}
   */
  protected function assertHookHelp(string $module): void {
    // Don't do anything here. Just overwrite this useless method, so we do not
    // need to implement a hook_help() method.
  }

  /**
   * {@inheritDoc}
   */
  protected function preUnInstallSteps(): void {
    // Programmatically delete the field storage, so we can uninstall the
    // module:
    \Drupal::service('config.factory')->getEditable('field.storage.paragraph.field_settings')->delete();
  }

}
